<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>生产计划管理管理</title>
    <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
    <style type="text/css">
    .LAY-btns .layui-nav {padding-left:0;padding-right:10px;top:-4px;margin: 0 10px;border: 0;background-color: #009688;}
    .LAY-btns .layui-nav .layui-nav-item{line-height: 30px;}
    .LAY-btns .layui-nav .layui-nav-child{top:34px;}
    .LAY-btns .layui-nav .layui-nav-bar{display: none;}
    .LAY-btns .layui-nav .layui-nav-child dd.layui-this a{color:#333;background-color:#fff;}
    .LAY-btns .layui-nav .layui-nav-child dd.layui-this a:hover {background-color: #f2f2f2;color: #000;}
  </style>
</head>
<body>
<div class="layui-fluid">
    <div class="layui-card">
        <div class="layui-card-body" pad15>
            <div class="layui-row layui-col-space15">
                <div class="layui-col-md12">

                    <div class="LAY-btns" style="margin-bottom: 10px;">
                        <button class="layui-btn layui-btn-sm" id="btn_add" data-permission="plan.add_production_plan"><i class="layui-icon layui-icon-add-1"></i>添加</button>
                        <button class="layui-nav" data-permission="purchase.check2_purchase_plan">
                            <div class="layui-nav-item">
                                <a href="javascript:;" style="color:#fff;">复核</a>
                                <dl class="layui-nav-child"> <!-- 二级菜单 -->
                                    <dd><a href="#" id="btn_check2">复核</a></dd>
                                    <dd><a href="#" id="btn_check2_back">撤销</a></dd>
                                </dl>
                            </div>
                        </button>
                        <button class="layui-nav" data-permission="purchase.check3_purchase_plan">
                            <div class="layui-nav-item">
                                <a href="javascript:;" style="color:#fff;">批准</a>
                                <dl class="layui-nav-child"> <!-- 二级菜单 -->
                                    <dd><a href="#" id="btn_check3">批准</a></dd>
                                    <dd><a href="#" id="btn_check3_back">撤销</a></dd>
                                </dl>
                            </div>
                        </button>
                        <button class="layui-nav" data-permission="plan.export_production_plan">
                            <div class="layui-nav-item">
                                <a href="javascript:;" style="color:#fff;">导出</a>
                                <dl class="layui-nav-child"> <!-- 二级菜单 -->
                                    <dd><a href="#" id="btn_export">导出列表</a></dd>
                                    <dd><a href="#" id="btn_export_detail">导出明细</a></dd>
                                </dl>
                            </div>
                        </button>
                        <button class="layui-btn layui-btn-sm" id="btn_print" data-permission="plan.print_production_plan"><i class="layui-icon layui-icon-form"></i>打印</button>
                        <button class="layui-btn layui-btn-sm" id="btn_query"><i class="layui-icon layui-icon-search"></i>查询</button>
                    </div>
                    <table class="layui-hide" id="datagrid" lay-filter="datagrid-operate"></table>
                    <script type="text/html" id="datagrid-operate-bar">
                        <div class="layui-btn-group">
                        <a class="layui-btn layui-btn-xs" lay-event="detail">查看</a>
                        {{#  if(d.status ==0){ }}
                        <a class="layui-btn layui-btn-xs" lay-event="edit" data-permission="plan.add_production_plan">修改</a>
                        <a class="layui-btn layui-btn-danger layui-btn-xs" lay-event="del" data-permission="plan.delete_production_plan">删除</a>
                        <a class="layui-btn layui-btn-xs" id="check" data-permission="plan.check_production_plan" lay-event="check">审核</a>
                        {{#  } }}
                        {{#  if(d.status ==2){ }}
                        <a class="layui-btn layui-btn-xs" id="checkout" lay-event="checkout" data-permission="plan.check_production_plan">撤销审核</a>
                        {{#  } }}
                        </div>
                    </script>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="dlg_query" style="display: none">
        <div class="layui-card-body" pad15>
            <form class="layui-form" lay-filter="query-form-element">
              <div class="layui-row layui-col-space10 layui-form-item">
                <div class="layui-col-xs12 layui-col-sm12">
                    <label class="layui-form-label">审核状态：</label>
                    <div class="layui-input-block">
                        <select id="id_status" name="status">
                            <option value="">全部</option>
                            <option value="0">待审核</option>
                            <option value="1">已审核</option>
                        </select>
                    </div>
                </div>
                  <div class="layui-col-xs12 layui-col-sm12">
                    <label class="layui-form-label">单号：</label>
                    <div class="layui-input-block">
                        <input type="text" name="no" autocomplete="off" class="layui-input">
                    </div>
                </div>
                <div class="layui-col-xs12 layui-col-sm12">
                    <label class="layui-form-label">名称：</label>
                    <div class="layui-input-block">
                        <input type="text" name="name" autocomplete="off" class="layui-input">
                    </div>
                </div>
                <div class="layui-col-xs12 layui-col-sm12">
                    <label class="layui-form-label">创建人：</label>
                    <div class="layui-input-block">
                        <input type="text" name="create_user_text" autocomplete="off" class="layui-input">
                    </div>
                </div>
               </div>
                    <button class="layui-btn" lay-submit lay-filter="query-form-element" id="query_btn" style="display: none">查询</button>
            </form>
        </div>
    </div>

    <script src="../../layuiadmin/layui/layui.js?t=1"></script>
    <script>
        var _params = '';
        layui.config({
            base: '../../../layuiadmin/' //静态资源所在路径
        }).extend({
            index: 'lib/index', //主入口模块
            utils: 'utils'
        }).use(['index', 'table','laydate', 'utils', 'form', 'upload'], function () {
            var $ = layui.$;
            var table = layui.table
                ,utils = layui.utils
                ,laydate = layui.laydate
                ,form = layui.form;

            table.render({
                elem: '#datagrid'
                ,url: '/plan/production/data/'
              ,cols: [[
                {type:'checkbox',width:50}
                ,{field:'no', title:'单号', width:140}
                ,{field:'name', title:'名称', width:100}
                ,{field:'total_count', title:'合计数量', width:100, align:'right'}
                ,{field:'create_time', title:'创建时间', width:180}
                ,{field:'create_user_text', title:'创建人', width:100}
                ,{field:'status_text', title:'审核状态', width: 100}
                ,{field:'check_time', title:'审核时间', width:180}
                ,{field:'check_user_text', title:'审核人', width: 100}
                ,{field:'check_time2', title:'复核时间', width:150}
                ,{field:'check_user_text2', title:'复核人', width: 100}
                ,{field:'check_time3', title:'批准时间', width:150}
                ,{field:'check_user_text3', title:'批准人', width: 100}
                ,{field:'notes', title:'备注', minWidth:150}
                ,{width:200, align:'left', fixed: 'right', toolbar: '#datagrid-operate-bar'}
              ]]
              ,totalRow:true
              ,parseData:function(res) {
                var cols = this.cols[0];
                for (var i in cols) {
                    if (cols[i].field == 'total_count') {
                        cols[i].totalRowText = res.more.total_count;
                    }
                }
                return {
                  "code": res.code, //解析接口状态
                  "count": res.count, //解析数据长度
                  "data": res.data //解析数据列表
                };
            }
              ,page: true
              ,height: 'full-104'
                ,done: function () {
                    layui.index.removeNoPermButtons();
                }
              });
            //监听工具条
            table.on('tool(datagrid-operate)', function(obj){
              var data = obj.data;
              if(obj.event === 'del'){
                 if (data.status == 1){
                        layer.msg('生产计划已审核,禁止删除');
                        return false;
                     }
                layer.confirm('确定要删除吗？', function(index){
                    layer.close(index);
                    layui.admin.req({
                        url: '/plan/production/delete/?id='+data.id
                        ,done: function(res){
                            table.reload('datagrid',{});
                        }
                    });
                });
              }else if(obj.event === 'detail'){
                  table.editdata = data;
                layer.open({
                  type: 2,
                  title: '查看['+ data.no + ']',
                  shadeClose: true,
                  area: ['90%', '90%'],
                  content: 'production_detail.html?id='+data.id
                });
              }else if(obj.event === 'check'){
                layer.confirm('确定要审核吗？', function(index){
                    layer.close(index);
                    layui.admin.req({
                        url: '/plan/production/check/?c_type=check&status=1&id='+data.id
                        ,done: function(res){
                            table.reload('datagrid',{});
                        }
                    });
                });
              }else if(obj.event === 'checkout'){
                layer.confirm('确定要撤销审核吗？', function(index){
                    layer.close(index);
                    layui.admin.req({
                        url: '/plan/production/check/?c_type=check&status=0&id='+data.id
                        ,done: function(res){
                            table.reload('datagrid',{});
                        }
                    });
                });
              } else if (obj.event === 'edit') {
                  if (data.status == 1) {
                      layer.msg('生产计划已审核,禁止修改');
                      return false;
                  }
                  table.editdata = data;
                  layer.open({
                      type: 2,
                      title: '修改',
                      shadeClose: false,
                      area: ['90%', '95%'],
                      btn: ['保存', '取消'],
                      yes: function (index, dom) {
                          layui.onSubmitChild = function (data) {
                              layer.close(index);
                              table.reload('datagrid', {});
                          };
                          layui.submitChild();
                      },
                      btn2: function (index, layero) {
                          layer.close(index);//关闭当前按钮
                      },
                      content: 'production_edit.html?id=' + data.id
                  });
              }
            });
            $('#btn_check2').on('click', function(){
                var data = utils.getSelectedRow('datagrid');
                if(data.check_user2){
                    layer.msg('该生产计划已复核');
                    return;
                }
                if(data.status == '0' ){
                    layer.msg('该生产计划未审核,禁止复核');
                    return;
                }
                layer.confirm('确定要复核吗？', function(index){
                    layer.close(index);
                    layui.admin.req({
                        url: '/plan/production/check/?c_type=check2&status=1&id='+data.id
                        ,done: function(res){
                            table.reload('datagrid',{});
                        }
                    });
                });
            });
            $('#btn_check2_back').on('click', function(){
                var data = utils.getSelectedRow('datagrid');
                if(!data.check_user2){
                    layer.msg('该生产计划未复核,禁止撤销复核');
                    return;
                }
                if(data.check_user3){
                    layer.msg('该生产计划已批准,禁止撤销复核');
                    return;
                }
                layer.confirm('确定要撤销复核吗？', function(index){
                    layer.close(index);
                    layui.admin.req({
                        url: '/plan/production/check/?c_type=check2&status=0&id='+data.id
                        ,done: function(res){
                            table.reload('datagrid',{});
                        }
                    });
                });
            });
            $('#btn_check3').on('click', function(){
                var data = utils.getSelectedRow('datagrid');
                if(data.check_user3){
                    layer.msg('该生产计划已批准');
                    return;
                }
                if(!data.check_user2){
                    layer.msg('该生产计划未复核,禁止批准');
                    return;
                }
                layer.confirm('确定要批准吗？', function(index){
                    layer.close(index);
                    layui.admin.req({
                        url: '/plan/production/check/?c_type=check3&status=1&id='+data.id
                        ,done: function(res){
                            table.reload('datagrid',{});
                        }
                    });
                });
            });
            $('#btn_check3_back').on('click', function(){
                var data = utils.getSelectedRow('datagrid');
                if(!data.check_user3){
                    layer.msg('该生产计划未批准,禁止撤销批准');
                    return;
                }
                layer.confirm('确定要撤销批准吗？', function(index){
                    layer.close(index);
                    layui.admin.req({
                        url: '/plan/production/check/?c_type=check3&status=0&id='+data.id
                        ,done: function(res){
                            table.reload('datagrid',{});
                        }
                    });
                });
            });
            $('#btn_export').on('click', function(){
                layui.admin.req({
                    url: '/plan/production/export/',
                    data:_params,
                    done: function (res) {
                          layui.view.download(res.data.filename);
                    }
                });
            });
            $('#btn_export_detail').on('click', function(){
                    var data = utils.getSelectedRow('datagrid');
                    if(data == false){
                        return;
                    }
                    layui.admin.req({
                        url: '/plan/production/export/?id='+data.id,
                        data:_params,
                        done: function (res) {
                              layui.view.download(res.data.filename);
                        }
                    });
                });
            $('#btn_add').on('click', function () {
                layer.open({
                    type: 2,
                    title: '添加',
                    area: ['90%', '95%'],
                    btn: ['保存', '取消'],
                    yes: function (index, dom) {
                        layui.onSubmitChild = function (data) {
                            layer.close(index);
                            table.reload('datagrid', {});
                        };
                        layui.submitChild();
                    },
                    btn2: function (index, layero) {
                        layer.close(index);//关闭当前按钮
                    },
                    content: 'production_edit.html'
                });
            });
            $('#btn_print').on('click', function(){
                  var data = utils.getSelectedRow('datagrid');
                  if (data.status == 0){
                        layer.msg('该合同尚未审核');
                        return;
                    }
                    if(data == false){
                        return;
                    }
                     layer.open({
                      type: 2,
                      title: '打印',
                      shadeClose: true,
                      area: ['90%', '90%'],
                      btn: ['打印', '取消'],
                      yes: function (index, dom) {
                            layui.onSubmitChild = function(data){
                              layer.close(index);
                            };
                            layui.submitChild();
                        },
                      btn2: function(index, layero){
                        layer.close(index);//关闭当前按钮
                      },
                      content: 'production_print.html?id='+data.id
                    });
                });
            $('#btn_query').on('click', function(){
                layer.open({
                  type: 1,
                  shadeClose: true,
                  area: ['500px', '335px'],
                  title: '查询',
                  btn: ['查询'],
                  yes: function(index, dom){
                     $('#query_btn').click();
                  },
                  content: $('#dlg_query')
                });
            });
            form.on('submit(query-form-element)', function(data){
              //layer.msg(JSON.stringify(data.field));
              _params = data.field;
              table.reload('datagrid', {
                  where: data.field,
                  page:{curr:1}
              });
              layer.closeAll();
              return false
            });

        })
    </script>
</body>
</html>